Home        Store        Docs        Blog

Ubuntu 20.04 LTS Issues QGC

QGC “Summary” shows my heavy configuration BlueROV joystick cal fine and saved video setting as instructed etc…Latest QGC … iconf fine…
However, no video, joystick control, telemetry

Error are:
video sink not set
mission transfer failed

I have WIN 10 with ROV works fine

below is the libraries install as per instructions

sudo apt install gstreamer1.0-x gstreamer1.0-libav gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly
[sudo] password for roguewave:
Reading package lists… Done
Building dependency tree
Reading state information… Done
gstreamer1.0-plugins-base is already the newest version (1.16.2-4).
gstreamer1.0-plugins-base set to manually installed.
gstreamer1.0-plugins-good is already the newest version (1.16.2-1ubuntu2).
gstreamer1.0-plugins-good set to manually installed.
gstreamer1.0-x is already the newest version (1.16.2-4).
gstreamer1.0-libav is already the newest version (1.16.2-2).
gstreamer1.0-libav set to manually installed.
gstreamer1.0-plugins-ugly is already the newest version (1.16.2-2build1).
gstreamer1.0-plugins-ugly set to manually installed.
The following packages were automatically installed and are no longer required:
libllvm9 libllvm9:i386
Use ‘sudo apt autoremove’ to remove them.
The following additional packages will be installed:
libdc1394-22 libdca0 libde265-0 libfaad2 libfluidsynth2 libgupnp-igd-1.0-4 libinstpatch-1.0-2 libkate1
libmjpegutils-2.1-0 libmms0 libmodplug1 libmpcdec6 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libnice10
libofa0 libsoundtouch1 libspandsp2 libsrt1 libsrtp2-1 libusrsctp1 libvo-aacenc0 libvo-amrwbenc0
libwildmidi2 libzbar0 timgm6mb-soundfont
Suggested packages:
frei0r-plugins libwildmidi-config fluid-soundfont-gm fluidsynth timidity musescore
The following NEW packages will be installed:
gstreamer1.0-plugins-bad libdc1394-22 libdca0 libde265-0 libfaad2 libfluidsynth2 libgupnp-igd-1.0-4
libinstpatch-1.0-2 libkate1 libmjpegutils-2.1-0 libmms0 libmodplug1 libmpcdec6 libmpeg2encpp-2.1-0
libmplex2-2.1-0 libnice10 libofa0 libsoundtouch1 libspandsp2 libsrt1 libsrtp2-1 libusrsctp1
libvo-aacenc0 libvo-amrwbenc0 libwildmidi2 libzbar0 timgm6mb-soundfont
0 upgraded, 27 newly installed, 0 to remove and 5 not upgraded.
Need to get 9,854 kB of archives.
After this operation, 21.7 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libde265-0 amd64 1.0.4-1build1 [239 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libfaad2 amd64 2.9.1-1 [154 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libinstpatch-1.0-2 amd64 1.1.2-2build1 [238 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 timgm6mb-soundfont all 1.3-3 [5,420 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libfluidsynth2 amd64 2.1.1-2 [198 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libgupnp-igd-1.0-4 amd64 0.2.5-5 [14.8 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libkate1 amd64 0.4.1-11build1 [39.4 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmjpegutils-2.1-0 amd64 1:2.1.0+debian-6build1 [24.1 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmms0 amd64 0.6.4-3 [27.3 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmodplug1 amd64 1:0.8.9.0-2build1 [150 kB]
Get:11 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmpcdec6 amd64 2:0.1~r495-2 [32.4 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmpeg2encpp-2.1-0 amd64 1:2.1.0+debian-6build1 [69.4 kB]
Get:13 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libmplex2-2.1-0 amd64 1:2.1.0+debian-6build1 [44.4 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libnice10 amd64 0.1.16-1 [136 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libofa0 amd64 0.9.3-21 [49.6 kB]
Get:16 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libsoundtouch1 amd64 2.1.2+ds1-1build1 [30.4 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libspandsp2 amd64 0.0.6+dfsg-2 [272 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libsrt1 amd64 1.4.0-1build1 [236 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libsrtp2-1 amd64 2.3.0-2 [57.5 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libusrsctp1 amd64 0.9.3.0+20190901-1 [217 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libwildmidi2 amd64 0.4.3-1 [59.9 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libzbar0 amd64 0.23-1.3 [119 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libdc1394-22 amd64 2.2.5-2.1 [79.6 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libdca0 amd64 0.0.6-1 [91.0 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libvo-aacenc0 amd64 0.1.3-2 [69.4 kB]
Get:26 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 libvo-amrwbenc0 amd64 0.1.3-2 [68.2 kB]
Get:27 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 gstreamer1.0-plugins-bad amd64 1.16.2-2.1ubuntu1 [1,717 kB]
Fetched 9,854 kB in 2s (4,294 kB/s)
Selecting previously unselected package libde265-0:amd64.
(Reading database … 219370 files and directories currently installed.)
Preparing to unpack …/00-libde265-0_1.0.4-1build1_amd64.deb …
Unpacking libde265-0:amd64 (1.0.4-1build1) …
Selecting previously unselected package libfaad2:amd64.
Preparing to unpack …/01-libfaad2_2.9.1-1_amd64.deb …
Unpacking libfaad2:amd64 (2.9.1-1) …
Selecting previously unselected package libinstpatch-1.0-2:amd64.
Preparing to unpack …/02-libinstpatch-1.0-2_1.1.2-2build1_amd64.deb …
Unpacking libinstpatch-1.0-2:amd64 (1.1.2-2build1) …
Selecting previously unselected package timgm6mb-soundfont.
Preparing to unpack …/03-timgm6mb-soundfont_1.3-3_all.deb …
Unpacking timgm6mb-soundfont (1.3-3) …
Selecting previously unselected package libfluidsynth2:amd64.
Preparing to unpack …/04-libfluidsynth2_2.1.1-2_amd64.deb …
Unpacking libfluidsynth2:amd64 (2.1.1-2) …
Selecting previously unselected package libgupnp-igd-1.0-4:amd64.
Preparing to unpack …/05-libgupnp-igd-1.0-4_0.2.5-5_amd64.deb …
Unpacking libgupnp-igd-1.0-4:amd64 (0.2.5-5) …
Selecting previously unselected package libkate1:amd64.
Preparing to unpack …/06-libkate1_0.4.1-11build1_amd64.deb …
Unpacking libkate1:amd64 (0.4.1-11build1) …
Selecting previously unselected package libmjpegutils-2.1-0:amd64.
Preparing to unpack …/07-libmjpegutils-2.1-0_1%3a2.1.0+debian-6build1_amd64.deb …
Unpacking libmjpegutils-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Selecting previously unselected package libmms0:amd64.
Preparing to unpack …/08-libmms0_0.6.4-3_amd64.deb …
Unpacking libmms0:amd64 (0.6.4-3) …
Selecting previously unselected package libmodplug1:amd64.
Preparing to unpack …/09-libmodplug1_1%3a0.8.9.0-2build1_amd64.deb …
Unpacking libmodplug1:amd64 (1:0.8.9.0-2build1) …
Selecting previously unselected package libmpcdec6:amd64.
Preparing to unpack …/10-libmpcdec6_2%3a0.1~r495-2_amd64.deb …
Unpacking libmpcdec6:amd64 (2:0.1~r495-2) …
Selecting previously unselected package libmpeg2encpp-2.1-0:amd64.
Preparing to unpack …/11-libmpeg2encpp-2.1-0_1%3a2.1.0+debian-6build1_amd64.deb …
Unpacking libmpeg2encpp-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Selecting previously unselected package libmplex2-2.1-0:amd64.
Preparing to unpack …/12-libmplex2-2.1-0_1%3a2.1.0+debian-6build1_amd64.deb …
Unpacking libmplex2-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Selecting previously unselected package libnice10:amd64.
Preparing to unpack …/13-libnice10_0.1.16-1_amd64.deb …
Unpacking libnice10:amd64 (0.1.16-1) …
Selecting previously unselected package libofa0:amd64.
Preparing to unpack …/14-libofa0_0.9.3-21_amd64.deb …
Unpacking libofa0:amd64 (0.9.3-21) …
Selecting previously unselected package libsoundtouch1:amd64.
Preparing to unpack …/15-libsoundtouch1_2.1.2+ds1-1build1_amd64.deb …
Unpacking libsoundtouch1:amd64 (2.1.2+ds1-1build1) …
Selecting previously unselected package libspandsp2:amd64.
Preparing to unpack …/16-libspandsp2_0.0.6+dfsg-2_amd64.deb …
Unpacking libspandsp2:amd64 (0.0.6+dfsg-2) …
Selecting previously unselected package libsrt1:amd64.
Preparing to unpack …/17-libsrt1_1.4.0-1build1_amd64.deb …
Unpacking libsrt1:amd64 (1.4.0-1build1) …
Selecting previously unselected package libsrtp2-1:amd64.
Preparing to unpack …/18-libsrtp2-1_2.3.0-2_amd64.deb …
Unpacking libsrtp2-1:amd64 (2.3.0-2) …
Selecting previously unselected package libusrsctp1:amd64.
Preparing to unpack …/19-libusrsctp1_0.9.3.0+20190901-1_amd64.deb …
Unpacking libusrsctp1:amd64 (0.9.3.0+20190901-1) …
Selecting previously unselected package libwildmidi2:amd64.
Preparing to unpack …/20-libwildmidi2_0.4.3-1_amd64.deb …
Unpacking libwildmidi2:amd64 (0.4.3-1) …
Selecting previously unselected package libzbar0:amd64.
Preparing to unpack …/21-libzbar0_0.23-1.3_amd64.deb …
Unpacking libzbar0:amd64 (0.23-1.3) …
Selecting previously unselected package libdc1394-22:amd64.
Preparing to unpack …/22-libdc1394-22_2.2.5-2.1_amd64.deb …
Unpacking libdc1394-22:amd64 (2.2.5-2.1) …
Selecting previously unselected package libdca0:amd64.
Preparing to unpack …/23-libdca0_0.0.6-1_amd64.deb …
Unpacking libdca0:amd64 (0.0.6-1) …
Selecting previously unselected package libvo-aacenc0:amd64.
Preparing to unpack …/24-libvo-aacenc0_0.1.3-2_amd64.deb …
Unpacking libvo-aacenc0:amd64 (0.1.3-2) …
Selecting previously unselected package libvo-amrwbenc0:amd64.
Preparing to unpack …/25-libvo-amrwbenc0_0.1.3-2_amd64.deb …
Unpacking libvo-amrwbenc0:amd64 (0.1.3-2) …
Selecting previously unselected package gstreamer1.0-plugins-bad:amd64.
Preparing to unpack …/26-gstreamer1.0-plugins-bad_1.16.2-2.1ubuntu1_amd64.deb …
Unpacking gstreamer1.0-plugins-bad:amd64 (1.16.2-2.1ubuntu1) …
Setting up libmodplug1:amd64 (1:0.8.9.0-2build1) …
Setting up libvo-amrwbenc0:amd64 (0.1.3-2) …
Setting up libkate1:amd64 (0.4.1-11build1) …
Setting up libzbar0:amd64 (0.23-1.3) …
Setting up libsrtp2-1:amd64 (2.3.0-2) …
Setting up libdc1394-22:amd64 (2.2.5-2.1) …
Setting up libmpcdec6:amd64 (2:0.1~r495-2) …
Setting up libmms0:amd64 (0.6.4-3) …
Setting up libspandsp2:amd64 (0.0.6+dfsg-2) …
Setting up libvo-aacenc0:amd64 (0.1.3-2) …
Setting up libgupnp-igd-1.0-4:amd64 (0.2.5-5) …
Setting up libsoundtouch1:amd64 (2.1.2+ds1-1build1) …
Setting up libnice10:amd64 (0.1.16-1) …
Setting up libfaad2:amd64 (2.9.1-1) …
Setting up libofa0:amd64 (0.9.3-21) …
Setting up libsrt1:amd64 (1.4.0-1build1) …
Setting up libwildmidi2:amd64 (0.4.3-1) …
Setting up libdca0:amd64 (0.0.6-1) …
Setting up libde265-0:amd64 (1.0.4-1build1) …
Setting up timgm6mb-soundfont (1.3-3) …
update-alternatives: using /usr/share/sounds/sf2/TimGM6mb.sf2 to provide /usr/share/sounds/sf2/default-GM.
sf2 (default-GM.sf2) in auto mode
update-alternatives: using /usr/share/sounds/sf2/TimGM6mb.sf2 to provide /usr/share/sounds/sf3/default-GM.
sf3 (default-GM.sf3) in auto mode
Setting up libusrsctp1:amd64 (0.9.3.0+20190901-1) …
Setting up libinstpatch-1.0-2:amd64 (1.1.2-2build1) …
Setting up libmjpegutils-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Setting up libmpeg2encpp-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Setting up libmplex2-2.1-0:amd64 (1:2.1.0+debian-6build1) …
Setting up libfluidsynth2:amd64 (2.1.1-2) …
Setting up gstreamer1.0-plugins-bad:amd64 (1.16.2-2.1ubuntu1) …
Processing triggers for libc-bin (2.31-0ubuntu9) …
roguewave@roguewave-Precision-M4800:~$

Hello,

What is the output of ip addr ?

The problem has changed now. There is no connection at all…win10 fine
ifconfig shows

no1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
inet 192.168.2.1 netmask 255.255.255.0 broadcast 192.168.2.255
inet6 fe80::7196:dd78:5168:369b prefixlen 64 scopeid 0x20
ether ec:f4:bb:6c:dd:78 txqueuelen 1000 (Ethernet)
RX packets 155 bytes 12076 (12.0 KB)
RX errors 0 dropped 0 overruns 0 frame 0
TX packets 148 bytes 12284 (12.2 KB)
TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0
device interrupt 20 memory 0xf7800000-f7820000

lo: flags=73<UP,LOOPBACK,RUNNING> mtu 65536
inet 127.0.0.1 netmask 255.0.0.0
inet6 ::1 prefixlen 128 scopeid 0x10
loop txqueuelen 1000 (Local Loopback)
RX packets 295 bytes 28544 (28.5 KB)
RX errors 0 dropped 0 overruns 0 frame 0
TX packets 295 bytes 28544 (28.5 KB)
TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

wlp3s0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST> mtu 1500
inet 192.168.1.6 netmask 255.255.255.0 broadcast 192.168.1.255
inet6 fe80::eda6:9ecb:1c21:2f1f prefixlen 64 scopeid 0x20
ether f8:16:54:e2:a5:31 txqueuelen 1000 (Ethernet)
RX packets 1361 bytes 1061418 (1.0 MB)
RX errors 0 dropped 0 overruns 0 frame 0
TX packets 1158 bytes 201075 (201.0 KB)
TX errors 0 dropped 0 overruns 0 carrier 0 collisions 0

roguewave@roguewave-Precision-M4800:~$

Some reason QGC not connecting to ROV No conection…rebooted tried again etc several time and finally there is a connection with error message “Mission Transfer Failed” WIN 10 fine

Hi @RogueWave,

You network configuration looks fine.
Do you have access to the companion interface at http://192.168.2.2:2770?
Are you able to ping 192.168.2.2?

I tried companion a few days ago timed out and today same timed out
ping hands up no return
ping 192.168.2.2
PING 192.168.2.2 (192.168.2.2) 56(84) bytes of data.

After a long time ping displayed
From 192.168.2.1 icmp_seq=2316 Destination Host Unreachable
From 192.168.2.1 icmp_seq=2317 Destination Host Unreachable
From 192.168.2.1 icmp_seq=2318 Destination Host Unreachable
From 192.168.2.1 icmp_seq=2319 Destination Host Unreachable

At first ir looks like there is a connectivity issue, like a broken connection somewhere. Does it still run fine under windows?

Win 10 works fine
QGC in the “documents folder” clicking on eash sub folder Crashlog, telemetry, etc show all EMPTY.
calibration of the joystick expected to see it save in one of those directories but not so.
tu
Which bring me to the question is QGC installed correctly?
I just download it move it to Desktop directory and click on it. Guess Not if so please provide details how
not a pro with Ubuntu.
Thanks for your help!!!